#if !defined( __NODDLGS_H )
#define __NODDLGS_H

//---------------------------------------------------------------------
//
//  TODODLGS.H
//
//      Copyright (c) 1991 by Borland International
//      All Rights Reserved.
//
//  defines the following classes, which handle all the dialog boxes for
//  the Todo program.
//
//      AboutBox
//
//      FileBox     - provides a basic dialog for selecting a file.
//
//      EditBox     - provides a dialog box for editing an entry in the
//                    Todo list.
//
//---------------------------------------------------------------------

#if !defined( __WINDOWS_H )
#include <Windows.h>
#endif

#if !defined( __DIR_H )
#include <Dir.h>
#endif

#if !defined( __STRSTREA_H )
#include <strstrea.h>
#endif

#if !defined( __CLASSWIN_H )
#include "ClassWin.h"
#endif


/*---------------------------------------------------------------------

	class AboutBox

			draws and manages the About dialog.
*/

	class AboutBox : public ModalDialog
	{
	public:

		AboutBox( HWND );

	private:

		virtual LPSTR getDialogName();
		virtual BOOL dispatch( HWND, WORD, WORD, LONG );

	};


	inline AboutBox::AboutBox(HWND hOwner) : ModalDialog(hOwner)
	{
	}

/*---------------------------------------------------------------------

	class WhoWroteBox

			draws and manages the About dialog.
*/


	class WhoWroteBox : public ModalDialog
	{
	public:

		WhoWroteBox( HWND );

	private:

		virtual LPSTR getDialogName();
		virtual BOOL dispatch( HWND, WORD, WORD, LONG );

	};

	inline WhoWroteBox::WhoWroteBox(HWND hOwner) : ModalDialog(hOwner)
	{
	}

	#endif  // __NODDLGS_H

